<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>opencvwindow - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="Image.html">Image</a><ul class='members'><li data-type='member' style='display: none;'><a href="Image.html#channels">channels</a></li><li data-type='member' style='display: none;'><a href="Image.html#parameters">parameters</a></li></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="Image.html#set">set</a></li></ul></li><li style="padding-left:20px;border-left:1px solid lightgray;margin-top:-10px" ><a href="aidecv-Setter.html">Setter</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="aidecv-Setter.html#set">set</a></li><li data-type='method' style='display: none;'><a href="aidecv-Setter.html#.getSetters">getSetters</a></li></ul></li><li style="padding-left:20px;border-left:1px solid lightgray;margin-top:-10px" ><a href="aidecv-Similarity.html">Similarity</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="aidecv-Similarity.html#set">set</a></li><li data-type='method' style='display: none;'><a href="aidecv-Similarity.html#.getSimilarities">getSimilarities</a></li></ul></li><li><a href="commands.html">commands</a><ul class='members'></ul></li><li><a href="aidecv.html">aidecv</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="aidecv.html#.mat2mat">mat2mat</a></li><li data-type='method' style='display: none;'><a href="aidecv.html#.mat2json">mat2json</a></li><li data-type='method' style='display: none;'><a href="aidecv.html#.mat2txt">mat2txt</a></li><li data-type='method' style='display: none;'><a href="aidecv.html#.bgr2bin">bgr2bin</a></li></ul></li><li style="padding-left:20px;border-left:1px solid lightgray;margin-top:-10px" ><a href="aidecv-opencvwindow.html">opencvwindow</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="aidecv-opencvwindow.html#.show">show</a></li><li data-type='method' style='display: none;'><a href="aidecv-opencvwindow.html#.waitUntilWindowsClosed">waitUntilWindowsClosed</a></li></ul></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">opencvwindow</h1>
    

    




<section>

<header>
    
        <h2>
            <span class="ancestors"><a href="aidecv.html">aidecv</a>~</span>
        
        
            opencvwindow
        
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    

    <h4 class="name" id="opencvwindow"><span class="type-signature"></span>factory opencvwindow<span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Implements a registration mechanism to correctly manage <code>cv::imshow</code> display.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






























        
        </div>
    

    

    

    
    
    

     

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    <h4 class="name" id=".show"><span class="type-signature type-signature-static">(static) </span>show<span class="signature">(name, img)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Shows the window and registers its name.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>name</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>The window name.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>img</code></td>
            

            <td class="type">
            
                
<span class="param-type">Mat</span>



            
            </td>

            

            

            <td class="description last"><p>The image to show.</p></td>
        </tr>

    
    </tbody>
</table>



















        
            

    

    <h4 class="name" id=".waitUntilWindowsClosed"><span class="type-signature type-signature-static">(static) </span>waitUntilWindowsClosed<span class="signature">()</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Waits untill window are closed by the user.</p>
<ul>
<li>Usually used in a contsruct of the form:</li>
</ul>
<pre class="prettyprint source"><code>include &quot;opencv.hpp&quot;

int main(int argc, char *argv[]) {
 // ../..
 aidecv::opencvwindow::waitUntilWindowsClosed();
}
</code></pre>
<p>thus called at the end of the program, allowing to maintain the program until all windows are closed.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






























        
    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2025-01-22 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>